% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/f_analysis.R
\name{getFinalPValue}
\alias{getFinalPValue}
\title{Get Final P Value}
\usage{
getFinalPValue(design, stageResults, ...)
}
\arguments{
\item{design}{The trial design.}

\item{stageResults}{The results at given stage, obtained from \code{\link{getStageResults}}.}

\item{stage}{The stage number (optional). Default: total number of existing stages in the data input.}
}
\description{
Returns the final p-value for given stage results.
}
\details{
The calculation of the final p-value is based on the stagewise ordering of the sample space. 
This enables the calculation for both the non-adaptive and the adaptive case.
For Fisher's combination test, it is available for \code{kMax = 2} only.
}
\keyword{internal}
