% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/f_analysis.R
\name{getRepeatedConfidenceIntervals}
\alias{getRepeatedConfidenceIntervals}
\title{Get Repeated Confidence Intervals}
\usage{
getRepeatedConfidenceIntervals(design, dataInput, ...)
}
\arguments{
\item{design}{The trial design.}

\item{dataInput}{The summary data used for calculating the test results. 
This is either an element of \code{DatasetMeans}, of \code{DatasetRates}, or of \code{DatasetSurvival}. 
See \code{\link{getDataset}}.}

\item{stage}{The stage number (optional). Default: total number of existing stages in the data input.}
}
\description{
Calculates and returns the lower and upper limit of the repeated confidence intervals of the trial.
}
\details{
The repeated confidence interval at a given stage of the trial contains the parameter values that are not rejected using the specified sequential design.
It can be calculated at each stage of the trial and can thus be used as a monitoring tool. 

The repeated confidence intervals are provided up to the specified stage.
}
\keyword{internal}
